I wrote:
Better add a comment about that, so it doesn't get re-reverted.
Perhaps I should follow my own advise...
Or pacify the test and expect gitweb@RHEL-users to install the RPM:
--- git-1.7.9.rc2/t/gitweb-lib.sh~
+++ git-1.7.9.rc2/t/gitweb-lib.sh
@@ -113,4 +113,10 @@
test_done
}
+# RedHat has moved Time::HiRes out from core Perl to a separate package.
+perl -MTime::HiRes -e 0 >/dev/null 2>&1 || {
+ skip_all='skipping gitweb tests, Time::HiRes module not available'
+ test_done
+}
+
gitweb_init
--
Hallvard